Ask Your Question

Revision history [back]

click to hide/show revision 1
initial version

tempest initialization fails while devstack installation.

Hi All,

I have been trying to install devstack on my Ubuntu machine but while initializing tempest I am getting the below error. I have tried for 4-5 times but still facing the same issue.

2016-02-18 08:17:00.403 | venv create: /opt/stack/new/tempest/.tox/venv 2016-02-18 08:17:10.731 | venv installdeps: -r/opt/stack/new/tempest/requirements.txt, -r/opt/stack/new/tempest/test-requirements.txt 2016-02-18 08:17:48.313 | ERROR: invocation failed (exit code 1), logfile: /opt/stack/new/tempest/.tox/venv/log/venv-1.log 2016-02-18 08:17:48.314 | ERROR: actionid: venv 2016-02-18 08:17:48.314 | msg: getenv 2016-02-18 08:17:48.314 | cmdargs: [local('/opt/stack/new/tempest/.tox/venv/bin/pip'), 'install', '-U', '-r/opt/stack/new/tempest/requirements.txt', '-r/opt/stack/new/tempest/test-requirements.txt'] 2016-02-18 08:17:48.314 | env: {'LOGNAME': 'stack', 'USER': 'stack', 'OS_REGION_NAME': 'RegionOne', 'OS_PROJECT_NAME': 'admin', 'PS4': '+ ${BASH_SOURCE:-}:${FUNCNAME[0]:-}:L${LINENO:-}: ', 'PATH': '/opt/stack/new/tempest/.tox/venv/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/usr/local/sbin:/usr/sbin:/usr/local/sbin:/usr/sbin:/sbin', 'OS_NO_CACHE': 'True', 'TERM': 'unknown', 'SHELL': '/bin/bash', 'OS_IDENTITY_API_VERSION': '3', 'NEUTRON_TEST_CONFIG_FILE': '/etc/neutron/debug.ini', 'USE_PYTHON3': 'False', 'PYTHON3_VERSION': '3.4', 'PYTHONHASHSEED': '299230788', 'SUDO_USER': 'jenkins', 'HOME': '/opt/stack/new', 'USERNAME': 'stack', 'OS_USERNAME': 'admin', 'SUDO_UID': '1001', '_STDBUF_O': 'L', 'OS_USER_DOMAIN_ID': 'default', 'PWD': '/opt/stack/new/tempest', 'PYTHON2_VERSION': '2.7', 'OS_PASSWORD': 'secretadmin', 'LC_ALL': 'C', '_': '/usr/local/bin/tox', 'LD_PRELOAD': '/usr/lib/coreutils/libstdbuf.so', 'SUDO_COMMAND': '/usr/bin/stdbuf -oL -eL ./stack.sh', 'SUDO_GID': '1002', 'VIRTUAL_ENV': '/opt/stack/new/tempest/.tox/venv', 'OS_PROJECT_DOMAIN_ID': 'default', '_STDBUF_E': 'L', 'OLDPWD': '/opt/stack/new/devstack', 'SHLVL': '1', 'OS_AUTH_URL': 'http://127.0.0.1:35357', 'OS_TEST_PATH': './tempest/tests', 'MAIL': '/var/mail/stack'} 2016-02-18 08:17:48.314 | 2016-02-18 08:17:48.314 | Collecting pbr>=1.6 (from -r /opt/stack/new/tempest/requirements.txt (line 4)) 2016-02-18 08:17:48.314 | /opt/stack/new/tempest/.tox/venv/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/util/ssl_.py:315: SNIMissingWarning: An HTTPS request has been made, but the SNI (Subject Name Indication) extension to TLS is not available on this platform. This may cause the server to present an incorrect TLS certificate, which can cause validation failures. For more information, see https://urllib3.readthedocs.org/en/latest/security.html#snimissingwarning. 2016-02-18 08:17:48.314 | SNIMissingWarning 2016-02-18 08:17:48.314 | /opt/stack/new/tempest/.tox/venv/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/util/ssl_.py:120: InsecurePlatformWarning: A true SSLContext object is not available. This prevents urllib3 from configuring SSL appropriately and may cause certain SSL connections to fail. For more information, see https://urllib3.readthedocs.org/en/latest/security.html#insecureplatformwarning. 2016-02-18 08:17:48.314 | InsecurePlatformWarning 2016-02-18 08:17:48.314 | Using cached pbr-1.8.1-py2.py3-none-any.whl 2016-02-18 08:17:48.314 | Collecting cliff!=1.16.0,>=1.15.0 (from -r /opt/stack/new/tempest/requirements.txt (line 5)) 2016-02-18 08:17:48.314 | Using cached cliff-1.17.0-py2-none-any.whl 2016-02-18 08:17:48.314 | Collecting anyjson>=0.3.3 (from -r /opt/stack/new/tempest/requirements.txt (line 6)) 2016-02-18 08:17:48.314 | Collecting httplib2>=0.7.5 (from -r /opt/stack/new/tempest/requirements.txt (line 7)) 2016-02-18 08:17:48.314 | Collecting jsonschema!=2.5.0,<3.0.0,>=2.0.0 (from -r /opt/stack/new/tempest/requirements.txt (line 8)) 2016-02-18 08:17:48.314 | Using cached jsonschema-2.5.1-py2.py3-none-any.whl 2016-02-18 08:17:48.314 | Collecting testtools>=1.4.0 (from -r /opt/stack/new/tempest/requirements.txt (line 9)) 2016-02-18 08:17:48.314 | Using cached testtools-2.0.0-py2.py3-none-any.whl 2016-02-18 08:17:48.314 | Collecting paramiko>=1.16.0 (from -r /opt/stack/new/tempest/requirements.txt (line 10)) 2016-02-18 08:17:48.314 | Using cached paramiko-1.16.0-py2.py3-none-any.whl 2016-02-18 08:17:48.315 | Collecting netaddr!=0.7.16,>=0.7.12 (from -r /opt/stack/new/tempest/requirements.txt (line 11)) 2016-02-18 08:17:48.315 | Using cached netaddr-0.7.18-py2.py3-none-any.whl 2016-02-18 08:17:48.315 | Collecting testrepository>=0.0.18 (from -r /opt/stack/new/tempest/requirements.txt (line 12)) 2016-02-18 08:17:48.315 | Collecting pyOpenSSL>=0.14 (from -r /opt/stack/new/tempest/requirements.txt (line 13)) 2016-02-18 08:17:48.315 | Using cached pyOpenSSL-0.15.1-py2.py3-none-any.whl 2016-02-18 08:17:48.315 | Collecting oslo.concurrency>=2.3.0 (from -r /opt/stack/new/tempest/requirements.txt (line 14)) 2016-02-18 08:17:48.315 | Using cached oslo.concurrency-3.4.0-py2.py3-none-any.whl 2016-02-18 08:17:48.315 | Collecting oslo.config>=3.4.0 (from -r /opt/stack/new/tempest/requirements.txt (line 15)) 2016-02-18 08:17:48.315 | Using cached oslo.config-3.7.0-py2.py3-none-any.whl 2016-02-18 08:17:48.315 | Collecting oslo.i18n>=2.1.0 (from -r /opt/stack/new/tempest/requirements.txt (line 16)) 2016-02-18 08:17:48.315 | Using cached oslo.i18n-3.3.0-py2.py3-none-any.whl 2016-02-18 08:17:48.315 | Collecting oslo.log>=1.14.0 (from -r /opt/stack/new/tempest/requirements.txt (line 17)) 2016-02-18 08:17:48.315 | Using cached oslo.log-3.0.0-py2.py3-none-any.whl 2016-02-18 08:17:48.315 | Collecting oslo.serialization>=1.10.0 (from -r /opt/stack/new/tempest/requirements.txt (line 18)) 2016-02-18 08:17:48.315 | Using cached oslo.serialization-2.3.0-py2.py3-none-any.whl 2016-02-18 08:17:48.315 | Collecting oslo.utils>=3.4.0 (from -r /opt/stack/new/tempest/requirements.txt (line 19)) 2016-02-18 08:17:48.315 | Using cached oslo.utils-3.6.0-py2.py3-none-any.whl 2016-02-18 08:17:48.315 | Collecting six>=1.9.0 (from -r /opt/stack/new/tempest/requirements.txt (line 20)) 2016-02-18 08:17:48.315 | Using cached six-1.10.0-py2.py3-none-any.whl 2016-02-18 08:17:48.315 | Collecting iso8601>=0.1.9 (from -r /opt/stack/new/tempest/requirements.txt (line 21)) 2016-02-18 08:17:48.315 | Using cached iso8601-0.1.11-py2.py3-none-any.whl 2016-02-18 08:17:48.315 | Collecting fixtures>=1.3.1 (from -r /opt/stack/new/tempest/requirements.txt (line 22)) 2016-02-18 08:17:48.315 | Using cached fixtures-1.4.0-py2.py3-none-any.whl 2016-02-18 08:17:48.315 | Collecting testscenarios>=0.4 (from -r /opt/stack/new/tempest/requirements.txt (line 23)) 2016-02-18 08:17:48.315 | Using cached testscenarios-0.5.0-py2.py3-none-any.whl 2016-02-18 08:17:48.315 | Collecting tempest-lib>=0.14.0 (from -r /opt/stack/new/tempest/requirements.txt (line 24)) 2016-02-18 08:17:48.315 | Using cached tempest_lib-0.14.0-py2-none-any.whl 2016-02-18 08:17:48.315 | Collecting PyYAML>=3.1.0 (from -r /opt/stack/new/tempest/requirements.txt (line 25)) 2016-02-18 08:17:48.316 | Collecting stevedore>=1.5.0 (from -r /opt/stack/new/tempest/requirements.txt (line 26)) 2016-02-18 08:17:48.316 | Using cached stevedore-1.11.0-py2.py3-none-any.whl 2016-02-18 08:17:48.316 | Collecting PrettyTable<0.8,>=0.7 (from -r /opt/stack/new/tempest/requirements.txt (line 27)) 2016-02-18 08:17:48.316 | Collecting hacking<0.11,>=0.10.0 (from -r /opt/stack/new/tempest/test-requirements.txt (line 4)) 2016-02-18 08:17:48.316 | Using cached hacking-0.10.2-py2.py3-none-any.whl 2016-02-18 08:17:48.316 | Collecting sphinx!=1.2.0,!=1.3b1,<1.3,>=1.1.2 (from -r /opt/stack/new/tempest/test-requirements.txt (line 6)) 2016-02-18 08:17:48.316 | Using cached Sphinx-1.2.3-py2-none-any.whl 2016-02-18 08:17:48.316 | Collecting python-subunit>=0.0.18 (from -r /opt/stack/new/tempest/test-requirements.txt (line 7)) 2016-02-18 08:17:48.316 | Using cached python_subunit-1.2.0-py2.py3-none-any.whl 2016-02-18 08:17:48.316 | Collecting oslosphinx!=3.4.0,>=2.5.0 (from -r /opt/stack/new/tempest/test-requirements.txt (line 8)) 2016-02-18 08:17:48.316 | Using cached oslosphinx-4.3.0-py2.py3-none-any.whl 2016-02-18 08:17:48.316 | Collecting mox>=0.5.3 (from -r /opt/stack/new/tempest/test-requirements.txt (line 9)) 2016-02-18 08:17:48.316 | Downloading mox-0.5.3.tar.gz 2016-02-18 08:17:48.316 | Collecting mock>=1.2 (from -r /opt/stack/new/tempest/test-requirements.txt (line 10)) 2016-02-18 08:17:48.316 | Downloading mock-1.3.0-py2.py3-none-any.whl (56kB) 2016-02-18 08:17:48.316 | Collecting coverage>=3.6 (from -r /opt/stack/new/tempest/test-requirements.txt (line 11)) 2016-02-18 08:17:48.316 | Downloading coverage-4.0.3.tar.gz (354kB) 2016-02-18 08:17:48.316 | Collecting oslotest>=1.10.0 (from -r /opt/stack/new/tempest/test-requirements.txt (line 12)) 2016-02-18 08:17:48.316 | Downloading oslotest-2.1.0-py2.py3-none-any.whl 2016-02-18 08:17:48.316 | Collecting cmd2>=0.6.7 (from cliff!=1.16.0,>=1.15.0->-r /opt/stack/new/tempest/requirements.txt (line 5)) 2016-02-18 08:17:48.316 | Collecting pyparsing>=2.0.1 (from cliff!=1.16.0,>=1.15.0->-r /opt/stack/new/tempest/requirements.txt (line 5)) 2016-02-18 08:17:48.316 | Using cached pyparsing-2.1.0-py2.py3-none-any.whl 2016-02-18 08:17:48.316 | Collecting unicodecsv>=0.8.0 (from cliff!=1.16.0,>=1.15.0->-r /opt/stack/new/tempest/requirements.txt (line 5)) 2016-02-18 08:17:48.316 | Collecting functools32 (from jsonschema!=2.5.0,<3.0.0,>=2.0.0->-r /opt/stack/new/tempest/requirements.txt (line 8)) 2016-02-18 08:17:48.316 | Collecting traceback2 (from testtools>=1.4.0->-r /opt/stack/new/tempest/requirements.txt (line 9)) 2016-02-18 08:17:48.316 | Using cached traceback2-1.4.0-py2.py3-none-any.whl 2016-02-18 08:17:48.316 | Collecting unittest2>=1.0.0 (from testtools>=1.4.0->-r /opt/stack/new/tempest/requirements.txt (line 9)) 2016-02-18 08:17:48.316 | Using cached unittest2-1.1.0-py2.py3-none-any.whl 2016-02-18 08:17:48.316 | Collecting python-mimeparse (from testtools>=1.4.0->-r /opt/stack/new/tempest/requirements.txt (line 9)) 2016-02-18 08:17:48.316 | Collecting extras (from testtools>=1.4.0->-r /opt/stack/new/tempest/requirements.txt (line 9)) 2016-02-18 08:17:48.317 | Collecting pyrsistent (from testtools>=1.4.0->-r /opt/stack/new/tempest/requirements.txt (line 9)) 2016-02-18 08:17:48.317 | Collecting ecdsa>=0.11 (from paramiko>=1.16.0->-r /opt/stack/new/tempest/requirements.txt (line 10)) 2016-02-18 08:17:48.317 | Using cached ecdsa-0.13-py2.py3-none-any.whl 2016-02-18 08:17:48.317 | Collecting pycrypto!=2.4,>=2.1 (from paramiko>=1.16.0->-r /opt/stack/new/tempest/requirements.txt (line 10)) 2016-02-18 08:17:48.317 | Collecting cryptography>=0.7 (from pyOpenSSL>=0.14->-r /opt/stack/new/tempest/requirements.txt (line 13)) 2016-02-18 08:17:48.317 | Using cached cryptography-1.2.2.tar.gz 2016-02-18 08:17:48.317 | Collecting enum34 (from oslo.concurrency>=2.3.0->-r /opt/stack/new/tempest/requirements.txt (line 14)) 2016-02-18 08:17:48.317 | Collecting fasteners>=0.7 (from oslo.concurrency>=2.3.0->-r /opt/stack/new/tempest/requirements.txt (line 14)) 2016-02-18 08:17:48.317 | Using cached fasteners-0.14.1-py2.py3-none-any.whl 2016-02-18 08:17:48.317 | Collecting Babel>=1.3 (from oslo.concurrency>=2.3.0->-r /opt/stack/new/tempest/requirements.txt (line 14)) 2016-02-18 08:17:48.317 | Using cached Babel-2.2.0-py2.py3-none-any.whl 2016-02-18 08:17:48.317 | Collecting retrying!=1.3.0,>=1.2.3 (from oslo.concurrency>=2.3.0->-r /opt/stack/new/tempest/requirements.txt (line 14)) 2016-02-18 08:17:48.317 | Collecting debtcollector>=1.2.0 (from oslo.config>=3.4.0->-r /opt/stack/new/tempest/requirements.txt (line 15)) 2016-02-18 08:17:48.317 | Using cached debtcollector-1.3.0-py2.py3-none-any.whl 2016-02-18 08:17:48.317 | Collecting oslo.context>=0.2.0 (from oslo.log>=1.14.0->-r /opt/stack/new/tempest/requirements.txt (line 17)) 2016-02-18 08:17:48.317 | Using cached oslo.context-2.0.0-py2.py3-none-any.whl 2016-02-18 08:17:48.317 | Collecting python-dateutil>=2.4.2 (from oslo.log>=1.14.0->-r /opt/stack/new/tempest/requirements.txt (line 17)) 2016-02-18 08:17:48.317 | Using cached python_dateutil-2.4.2-py2.py3-none-any.whl 2016-02-18 08:17:48.317 | Collecting pyinotify>=0.9.6 (from oslo.log>=1.14.0->-r /opt/stack/new/tempest/requirements.txt (line 17)) 2016-02-18 08:17:48.317 | Collecting msgpack-python>=0.4.0 (from oslo.serialization>=1.10.0->-r /opt/stack/new/tempest/requirements.txt (line 18)) 2016-02-18 08:17:48.317 | Collecting pytz>=2013.6 (from oslo.serialization>=1.10.0->-r /opt/stack/new/tempest/requirements.txt (line 18)) 2016-02-18 08:17:48.317 | Using cached pytz-2015.7-py2.py3-none-any.whl 2016-02-18 08:17:48.317 | Collecting funcsigs>=0.4 (from oslo.utils>=3.4.0->-r /opt/stack/new/tempest/requirements.txt (line 19)) 2016-02-18 08:17:48.317 | Using cached funcsigs-0.4-py2.py3-none-any.whl 2016-02-18 08:17:48.317 | Collecting monotonic>=0.6 (from oslo.utils>=3.4.0->-r /opt/stack/new/tempest/requirements.txt (line 19)) 2016-02-18 08:17:48.317 | Collecting netifaces>=0.10.4 (from oslo.utils>=3.4.0->-r /opt/stack/new/tempest/requirements.txt (line 19)) 2016-02-18 08:17:48.317 | Collecting os-testr>=0.4.1 (from tempest-lib>=0.14.0->-r /opt/stack/new/tempest/requirements.txt (line 24)) 2016-02-18 08:17:48.318 | Using cached os_testr-0.6.0-py2-none-any.whl 2016-02-18 08:17:48.318 | Collecting mccabe==0.2.1 (from hacking<0.11,>=0.10.0->-r /opt/stack/new/tempest/test-requirements.txt (line 4)) 2016-02-18 08:17:48.318 | Collecting pep8==1.5.7 (from hacking<0.11,>=0.10.0->-r /opt/stack/new/tempest/test-requirements.txt (line 4)) 2016-02-18 08:17:48.318 | Using cached pep8-1.5.7-py2.py3-none-any.whl 2016-02-18 08:17:48.318 | Collecting flake8==2.2.4 (from hacking<0.11,>=0.10.0->-r /opt/stack/new/tempest/test-requirements.txt (line 4)) 2016-02-18 08:17:48.318 | Collecting pyflakes==0.8.1 (from hacking<0.11,>=0.10.0->-r /opt/stack/new/tempest/test-requirements.txt (line 4)) 2016-02-18 08:17:48.318 | Using cached pyflakes-0.8.1-py2.py3-none-any.whl 2016-02-18 08:17:48.318 | Collecting Pygments>=1.2 (from sphinx!=1.2.0,!=1.3b1,<1.3,>=1.1.2->-r /opt/stack/new/tempest/test-requirements.txt (line 6)) 2016-02-18 08:17:48.318 | Using cached Pygments-2.1.1-py2.py3-none-any.whl 2016-02-18 08:17:48.318 | Collecting Jinja2>=2.3 (from sphinx!=1.2.0,!=1.3b1,<1.3,>=1.1.2->-r /opt/stack/new/tempest/test-requirements.txt (line 6)) 2016-02-18 08:17:48.318 | Using cached Jinja2-2.8-py2.py3-none-any.whl 2016-02-18 08:17:48.318 | Collecting docutils>=0.7 (from sphinx!=1.2.0,!=1.3b1,<1.3,>=1.1.2->-r /opt/stack/new/tempest/test-requirements.txt (line 6)) 2016-02-18 08:17:48.318 | Collecting requests!=2.9.0,>=2.8.1 (from oslosphinx!=3.4.0,>=2.5.0->-r /opt/stack/new/tempest/test-requirements.txt (line 8)) 2016-02-18 08:17:48.318 | Using cached requests-2.9.1-py2.py3-none-any.whl 2016-02-18 08:17:48.318 | Collecting mox3>=0.7.0 (from oslotest>=1.10.0->-r /opt/stack/new/tempest/test-requirements.txt (line 12)) 2016-02-18 08:17:48.318 | Downloading mox3-0.14.0-py2.py3-none-any.whl (40kB) 2016-02-18 08:17:48.318 | Collecting os-client-config>=1.13.1 (from oslotest>=1.10.0->-r /opt/stack/new/tempest/test-requirements.txt (line 12)) 2016-02-18 08:17:48.318 | Downloading os_client_config-1.14.0-py2.py3-none-any.whl (53kB) 2016-02-18 08:17:48.318 | Collecting linecache2 (from traceback2->testtools>=1.4.0->-r /opt/stack/new/tempest/requirements.txt (line 9)) 2016-02-18 08:17:48.318 | Using cached linecache2-1.0.0-py2.py3-none-any.whl 2016-02-18 08:17:48.318 | Collecting argparse (from unittest2>=1.0.0->testtools>=1.4.0->-r /opt/stack/new/tempest/requirements.txt (line 9)) 2016-02-18 08:17:48.318 | Using cached argparse-1.4.0-py2.py3-none-any.whl 2016-02-18 08:17:48.318 | Collecting idna>=2.0 (from cryptography>=0.7->pyOpenSSL>=0.14->-r /opt/stack/new/tempest/requirements.txt (line 13)) 2016-02-18 08:17:48.318 | Using cached idna-2.0-py2.py3-none-any.whl 2016-02-18 08:17:48.318 | Collecting pyasn1>=0.1.8 (from cryptography>=0.7->pyOpenSSL>=0.14->-r /opt/stack/new/tempest/requirements.txt (line 13)) 2016-02-18 08:17:48.318 | Using cached pyasn1-0.1.9-py2.py3-none-any.whl 2016-02-18 08:17:48.318 | Requirement already up-to-date: setuptools>=1.0 in ./.tox/venv/lib/python2.7/site-packages (from cryptography>=0.7->pyOpenSSL>=0.14->-r /opt/stack/new/tempest/requirements.txt (line 13)) 2016-02-18 08:17:48.319 | Collecting ipaddress (from cryptography>=0.7->pyOpenSSL>=0.14->-r /opt/stack/new/tempest/requirements.txt (line 13)) 2016-02-18 08:17:48.319 | Using cached ipaddress-1.0.16-py27-none-any.whl 2016-02-18 08:17:48.319 | Collecting cffi>=1.4.1 (from cryptography>=0.7->pyOpenSSL>=0.14->-r /opt/stack/new/tempest/requirements.txt (line 13)) 2016-02-18 08:17:48.319 | Collecting wrapt>=1.7.0 (from debtcollector>=1.2.0->oslo.config>=3.4.0->-r /opt/stack/new/tempest/requirements.txt (line 15)) 2016-02-18 08:17:48.319 | Collecting MarkupSafe (from Jinja2>=2.3->sphinx!=1.2.0,!=1.3b1,<1.3,>=1.1.2->-r /opt/stack/new/tempest/test-requirements.txt (line 6)) 2016-02-18 08:17:48.319 | Collecting requestsexceptions>=1.1.1 (from os-client-config>=1.13.1->oslotest>=1.10.0->-r /opt/stack/new/tempest/test-requirements.txt (line 12)) 2016-02-18 08:17:48.319 | Downloading requestsexceptions-1.1.3-py2.py3-none-any.whl 2016-02-18 08:17:48.319 | Collecting keystoneauth1>=2.1.0 (from os-client-config>=1.13.1->oslotest>=1.10.0->-r /opt/stack/new/tempest/test-requirements.txt (line 12)) 2016-02-18 08:17:48.319 | Downloading keystoneauth1-2.3.0-py2.py3-none-any.whl (199kB) 2016-02-18 08:17:48.319 | Collecting appdirs>=1.3.0 (from os-client-config>=1.13.1->oslotest>=1.10.0->-r /opt/stack/new/tempest/test-requirements.txt (line 12)) 2016-02-18 08:17:48.319 | Downloading appdirs-1.4.0-py2.py3-none-any.whl 2016-02-18 08:17:48.319 | Collecting pycparser (from cffi>=1.4.1->cryptography>=0.7->pyOpenSSL>=0.14->-r /opt/stack/new/tempest/requirements.txt (line 13)) 2016-02-18 08:17:48.319 | Collecting positional>=1.0.1 (from keystoneauth1>=2.1.0->os-client-config>=1.13.1->oslotest>=1.10.0->-r /opt/stack/new/tempest/test-requirements.txt (line 12)) 2016-02-18 08:17:48.319 | Downloading positional-1.0.1.tar.gz 2016-02-18 08:17:48.319 | Complete output from command python setup.py egg_info: 2016-02-18 08:17:48.319 | Couldn't find index page for 'pbr' (maybe misspelled?) 2016-02-18 08:17:48.319 | No local packages or download links found for pbr>=1.8 2016-02-18 08:17:48.319 | Traceback (most recent call last): 2016-02-18 08:17:48.319 | File "<string>", line 1, in <module> 2016-02-18 08:17:48.319 | File "/tmp/pip-build-FRGnVp/positional/setup.py", line 26, in <module> 2016-02-18 08:17:48.319 | pbr=True) 2016-02-18 08:17:48.319 | File "/usr/lib/python2.7/distutils/core.py", line 111, in setup 2016-02-18 08:17:48.319 | _setup_distribution = dist = klass(attrs) 2016-02-18 08:17:48.319 | File "/opt/stack/new/tempest/.tox/venv/local/lib/python2.7/site-packages/setuptools/dist.py", line 269, in __init__ 2016-02-18 08:17:48.319 | self.fetch_build_eggs(attrs['setup_requires']) 2016-02-18 08:17:48.319 | File "/opt/stack/new/tempest/.tox/venv/local/lib/python2.7/site-packages/setuptools/dist.py", line 313, in fetch_build_eggs 2016-02-18 08:17:48.319 | replace_conflicting=True, 2016-02-18 08:17:48.319 | File "/opt/stack/new/tempest/.tox/venv/local/lib/python2.7/site-packages/pkg_resources/__init__.py", line 825, in resolve 2016-02-18 08:17:48.319 | dist = best[req.key] = env.best_match(req, ws, installer) 2016-02-18 08:17:48.320 | File "/opt/stack/new/tempest/.tox/venv/local/lib/python2.7/site-packages/pkg_resources/__init__.py", line 1070, in best_match 2016-02-18 08:17:48.320 | return self.obtain(req, installer) 2016-02-18 08:17:48.320 | File "/opt/stack/new/tempest/.tox/venv/local/lib/python2.7/site-packages/pkg_resources/__init__.py", line 1082, in obtain 2016-02-18 08:17:48.320 | return installer(requirement) 2016-02-18 08:17:48.320 | File "/opt/stack/new/tempest/.tox/venv/local/lib/python2.7/site-packages/setuptools/dist.py", line 380, in fetch_build_egg 2016-02-18 08:17:48.320 | return cmd.easy_install(req) 2016-02-18 08:17:48.320 | File "/opt/stack/new/tempest/.tox/venv/local/lib/python2.7/site-packages/setuptools/command/easy_install.py", line 634, in easy_install 2016-02-18 08:17:48.320 | raise DistutilsError(msg) 2016-02-18 08:17:48.320 | distutils.errors.DistutilsError: Could not find suitable distribution for Requirement.parse('pbr>=1.8') 2016-02-18 08:17:48.320 |
2016-02-18 08:17:48.320 | ---------------------------------------- 2016-02-18 08:17:48.320 | Command "python setup.py egg_info" failed with error code 1 in /tmp/pip-build-FRGnVp/positional 2016-02-18 08:17:48.320 | 2016-02-18 08:17:48.320 | ERROR: could not install deps [-r/opt/stack/new/tempest/requirements.txt, -r/opt/stack/new/tempest/test-requirements.txt]; v = InvocationError('/opt/stack/new/tempest/.tox/venv/bin/pip install -U -r/opt/stack/new/tempest/requirements.txt -r/opt/stack/new/tempest/test-requirements.txt (see /opt/stack/new/tempest/.tox/venv/log/venv-1.log)', 1) 2016-02-18 08:17:48.320 | ___________________________________ summary ____________________________________ 2016-02-18 08:17:48.320 | ERROR: venv: could not install deps [-r/opt/stack/new/tempest/requirements.txt, -r/opt/stack/new/tempest/test-requirements.txt]; v = InvocationError('/opt/stack/new/tempest/.tox/venv/bin/pip install -U -r/opt/stack/new/tempest/requirements.txt -r/opt/stack/new/tempest/test-requirements.txt (see /opt/stack/new/tempest/.tox/venv/log/venv-1.log)', 1) 2016-02-18 08:17:48.333 | + /opt/stack/new/devstack/lib/tempest:configure_tempest:L1: exit_trap 2016-02-18 08:17:48.333 | + ./stack.sh:exit_trap:L474: local r=1

tempest initialization fails while devstack installation.

Hi All,

I have been trying to install devstack on my Ubuntu machine but while initializing tempest I am getting the below error. I have tried for 4-5 times but still facing the same issue.

2016-02-18 08:17:00.403 | venv create: /opt/stack/new/tempest/.tox/venv
2016-02-18 08:17:10.731 | venv installdeps: -r/opt/stack/new/tempest/requirements.txt, -r/opt/stack/new/tempest/test-requirements.txt
2016-02-18 08:17:48.313 | ERROR: invocation failed (exit code 1), logfile: /opt/stack/new/tempest/.tox/venv/log/venv-1.log
2016-02-18 08:17:48.314 | ERROR: actionid: venv
2016-02-18 08:17:48.314 | msg: getenv
2016-02-18 08:17:48.314 | cmdargs: [local('/opt/stack/new/tempest/.tox/venv/bin/pip'), 'install', '-U', '-r/opt/stack/new/tempest/requirements.txt', '-r/opt/stack/new/tempest/test-requirements.txt']
2016-02-18 08:17:48.314 | env: {'LOGNAME': 'stack', 'USER': 'stack', 'OS_REGION_NAME': 'RegionOne', 'OS_PROJECT_NAME': 'admin', 'PS4': '+ ${BASH_SOURCE:-}:${FUNCNAME[0]:-}:L${LINENO:-}:   ', 'PATH': '/opt/stack/new/tempest/.tox/venv/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/usr/local/sbin:/usr/sbin:/usr/local/sbin:/usr/sbin:/sbin', 'OS_NO_CACHE': 'True', 'TERM': 'unknown', 'SHELL': '/bin/bash', 'OS_IDENTITY_API_VERSION': '3', 'NEUTRON_TEST_CONFIG_FILE': '/etc/neutron/debug.ini', 'USE_PYTHON3': 'False', 'PYTHON3_VERSION': '3.4', 'PYTHONHASHSEED': '299230788', 'SUDO_USER': 'jenkins', 'HOME': '/opt/stack/new', 'USERNAME': 'stack', 'OS_USERNAME': 'admin', 'SUDO_UID': '1001', '_STDBUF_O': 'L', 'OS_USER_DOMAIN_ID': 'default', 'PWD': '/opt/stack/new/tempest', 'PYTHON2_VERSION': '2.7', 'OS_PASSWORD': 'secretadmin', 'LC_ALL': 'C', '_': '/usr/local/bin/tox', 'LD_PRELOAD': '/usr/lib/coreutils/libstdbuf.so', 'SUDO_COMMAND': '/usr/bin/stdbuf -oL -eL ./stack.sh', 'SUDO_GID': '1002', 'VIRTUAL_ENV': '/opt/stack/new/tempest/.tox/venv', 'OS_PROJECT_DOMAIN_ID': 'default', '_STDBUF_E': 'L', 'OLDPWD': '/opt/stack/new/devstack', 'SHLVL': '1', 'OS_AUTH_URL': 'http://127.0.0.1:35357', 'OS_TEST_PATH': './tempest/tests', 'MAIL': '/var/mail/stack'}
2016-02-18 08:17:48.314 | 
2016-02-18 08:17:48.314 | Collecting pbr>=1.6 (from -r /opt/stack/new/tempest/requirements.txt (line 4))
2016-02-18 08:17:48.314 | /opt/stack/new/tempest/.tox/venv/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/util/ssl_.py:315: SNIMissingWarning: An HTTPS request has been made, but the SNI (Subject Name Indication) extension to TLS is not available on this platform. This may cause the server to present an incorrect TLS certificate, which can cause validation failures. For more information, see https://urllib3.readthedocs.org/en/latest/security.html#snimissingwarning.
2016-02-18 08:17:48.314 |   SNIMissingWarning
2016-02-18 08:17:48.314 | /opt/stack/new/tempest/.tox/venv/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/util/ssl_.py:120: InsecurePlatformWarning: A true SSLContext object is not available. This prevents urllib3 from configuring SSL appropriately and may cause certain SSL connections to fail. For more information, see https://urllib3.readthedocs.org/en/latest/security.html#insecureplatformwarning.
2016-02-18 08:17:48.314 |   InsecurePlatformWarning
2016-02-18 08:17:48.314 |   Using cached pbr-1.8.1-py2.py3-none-any.whl
2016-02-18 08:17:48.314 | Collecting cliff!=1.16.0,>=1.15.0 (from -r /opt/stack/new/tempest/requirements.txt (line 5))
2016-02-18 08:17:48.314 |   Using cached cliff-1.17.0-py2-none-any.whl
2016-02-18 08:17:48.314 | Collecting anyjson>=0.3.3 (from -r /opt/stack/new/tempest/requirements.txt (line 6))
2016-02-18 08:17:48.314 | Collecting httplib2>=0.7.5 (from -r /opt/stack/new/tempest/requirements.txt (line 7))
2016-02-18 08:17:48.314 | Collecting jsonschema!=2.5.0,<3.0.0,>=2.0.0 (from -r /opt/stack/new/tempest/requirements.txt (line 8))
2016-02-18 08:17:48.314 |   Using cached jsonschema-2.5.1-py2.py3-none-any.whl
2016-02-18 08:17:48.314 | Collecting testtools>=1.4.0 (from -r /opt/stack/new/tempest/requirements.txt (line 9))
2016-02-18 08:17:48.314 |   Using cached testtools-2.0.0-py2.py3-none-any.whl
2016-02-18 08:17:48.314 | Collecting paramiko>=1.16.0 (from -r /opt/stack/new/tempest/requirements.txt (line 10))
2016-02-18 08:17:48.314 |   Using cached paramiko-1.16.0-py2.py3-none-any.whl
2016-02-18 08:17:48.315 | Collecting netaddr!=0.7.16,>=0.7.12 (from -r /opt/stack/new/tempest/requirements.txt (line 11))
2016-02-18 08:17:48.315 |   Using cached netaddr-0.7.18-py2.py3-none-any.whl
2016-02-18 08:17:48.315 | Collecting testrepository>=0.0.18 (from -r /opt/stack/new/tempest/requirements.txt (line 12))
2016-02-18 08:17:48.315 | Collecting pyOpenSSL>=0.14 (from -r /opt/stack/new/tempest/requirements.txt (line 13))
2016-02-18 08:17:48.315 |   Using cached pyOpenSSL-0.15.1-py2.py3-none-any.whl
2016-02-18 08:17:48.315 | Collecting oslo.concurrency>=2.3.0 (from -r /opt/stack/new/tempest/requirements.txt (line 14))
2016-02-18 08:17:48.315 |   Using cached oslo.concurrency-3.4.0-py2.py3-none-any.whl
2016-02-18 08:17:48.315 | Collecting oslo.config>=3.4.0 (from -r /opt/stack/new/tempest/requirements.txt (line 15))
2016-02-18 08:17:48.315 |   Using cached oslo.config-3.7.0-py2.py3-none-any.whl
2016-02-18 08:17:48.315 | Collecting oslo.i18n>=2.1.0 (from -r /opt/stack/new/tempest/requirements.txt (line 16))
2016-02-18 08:17:48.315 |   Using cached oslo.i18n-3.3.0-py2.py3-none-any.whl
2016-02-18 08:17:48.315 | Collecting oslo.log>=1.14.0 (from -r /opt/stack/new/tempest/requirements.txt (line 17))
2016-02-18 08:17:48.315 |   Using cached oslo.log-3.0.0-py2.py3-none-any.whl
2016-02-18 08:17:48.315 | Collecting oslo.serialization>=1.10.0 (from -r /opt/stack/new/tempest/requirements.txt (line 18))
2016-02-18 08:17:48.315 |   Using cached oslo.serialization-2.3.0-py2.py3-none-any.whl
2016-02-18 08:17:48.315 | Collecting oslo.utils>=3.4.0 (from -r /opt/stack/new/tempest/requirements.txt (line 19))
2016-02-18 08:17:48.315 |   Using cached oslo.utils-3.6.0-py2.py3-none-any.whl
2016-02-18 08:17:48.315 | Collecting six>=1.9.0 (from -r /opt/stack/new/tempest/requirements.txt (line 20))
2016-02-18 08:17:48.315 |   Using cached six-1.10.0-py2.py3-none-any.whl
2016-02-18 08:17:48.315 | Collecting iso8601>=0.1.9 (from -r /opt/stack/new/tempest/requirements.txt (line 21))
2016-02-18 08:17:48.315 |   Using cached iso8601-0.1.11-py2.py3-none-any.whl
2016-02-18 08:17:48.315 | Collecting fixtures>=1.3.1 (from -r /opt/stack/new/tempest/requirements.txt (line 22))
2016-02-18 08:17:48.315 |   Using cached fixtures-1.4.0-py2.py3-none-any.whl
2016-02-18 08:17:48.315 | Collecting testscenarios>=0.4 (from -r /opt/stack/new/tempest/requirements.txt (line 23))
2016-02-18 08:17:48.315 |   Using cached testscenarios-0.5.0-py2.py3-none-any.whl
2016-02-18 08:17:48.315 | Collecting tempest-lib>=0.14.0 (from -r /opt/stack/new/tempest/requirements.txt (line 24))
2016-02-18 08:17:48.315 |   Using cached tempest_lib-0.14.0-py2-none-any.whl
2016-02-18 08:17:48.315 | Collecting PyYAML>=3.1.0 (from -r /opt/stack/new/tempest/requirements.txt (line 25))
2016-02-18 08:17:48.316 | Collecting stevedore>=1.5.0 (from -r /opt/stack/new/tempest/requirements.txt (line 26))
2016-02-18 08:17:48.316 |   Using cached stevedore-1.11.0-py2.py3-none-any.whl
2016-02-18 08:17:48.316 | Collecting PrettyTable<0.8,>=0.7 (from -r /opt/stack/new/tempest/requirements.txt (line 27))
2016-02-18 08:17:48.316 | Collecting hacking<0.11,>=0.10.0 (from -r /opt/stack/new/tempest/test-requirements.txt (line 4))
2016-02-18 08:17:48.316 |   Using cached hacking-0.10.2-py2.py3-none-any.whl
2016-02-18 08:17:48.316 | Collecting sphinx!=1.2.0,!=1.3b1,<1.3,>=1.1.2 (from -r /opt/stack/new/tempest/test-requirements.txt (line 6))
2016-02-18 08:17:48.316 |   Using cached Sphinx-1.2.3-py2-none-any.whl
2016-02-18 08:17:48.316 | Collecting python-subunit>=0.0.18 (from -r /opt/stack/new/tempest/test-requirements.txt (line 7))
2016-02-18 08:17:48.316 |   Using cached python_subunit-1.2.0-py2.py3-none-any.whl
2016-02-18 08:17:48.316 | Collecting oslosphinx!=3.4.0,>=2.5.0 (from -r /opt/stack/new/tempest/test-requirements.txt (line 8))
2016-02-18 08:17:48.316 |   Using cached oslosphinx-4.3.0-py2.py3-none-any.whl
2016-02-18 08:17:48.316 | Collecting mox>=0.5.3 (from -r /opt/stack/new/tempest/test-requirements.txt (line 9))
2016-02-18 08:17:48.316 |   Downloading mox-0.5.3.tar.gz
2016-02-18 08:17:48.316 | Collecting mock>=1.2 (from -r /opt/stack/new/tempest/test-requirements.txt (line 10))
2016-02-18 08:17:48.316 |   Downloading mock-1.3.0-py2.py3-none-any.whl (56kB)
2016-02-18 08:17:48.316 | Collecting coverage>=3.6 (from -r /opt/stack/new/tempest/test-requirements.txt (line 11))
2016-02-18 08:17:48.316 |   Downloading coverage-4.0.3.tar.gz (354kB)
2016-02-18 08:17:48.316 | Collecting oslotest>=1.10.0 (from -r /opt/stack/new/tempest/test-requirements.txt (line 12))
2016-02-18 08:17:48.316 |   Downloading oslotest-2.1.0-py2.py3-none-any.whl
2016-02-18 08:17:48.316 | Collecting cmd2>=0.6.7 (from cliff!=1.16.0,>=1.15.0->-r /opt/stack/new/tempest/requirements.txt (line 5))
2016-02-18 08:17:48.316 | Collecting pyparsing>=2.0.1 (from cliff!=1.16.0,>=1.15.0->-r /opt/stack/new/tempest/requirements.txt (line 5))
2016-02-18 08:17:48.316 |   Using cached pyparsing-2.1.0-py2.py3-none-any.whl
2016-02-18 08:17:48.316 | Collecting unicodecsv>=0.8.0 (from cliff!=1.16.0,>=1.15.0->-r /opt/stack/new/tempest/requirements.txt (line 5))
2016-02-18 08:17:48.316 | Collecting functools32 (from jsonschema!=2.5.0,<3.0.0,>=2.0.0->-r /opt/stack/new/tempest/requirements.txt (line 8))
2016-02-18 08:17:48.316 | Collecting traceback2 (from testtools>=1.4.0->-r /opt/stack/new/tempest/requirements.txt (line 9))
2016-02-18 08:17:48.316 |   Using cached traceback2-1.4.0-py2.py3-none-any.whl
2016-02-18 08:17:48.316 | Collecting unittest2>=1.0.0 (from testtools>=1.4.0->-r /opt/stack/new/tempest/requirements.txt (line 9))
2016-02-18 08:17:48.316 |   Using cached unittest2-1.1.0-py2.py3-none-any.whl
2016-02-18 08:17:48.316 | Collecting python-mimeparse (from testtools>=1.4.0->-r /opt/stack/new/tempest/requirements.txt (line 9))
2016-02-18 08:17:48.316 | Collecting extras (from testtools>=1.4.0->-r /opt/stack/new/tempest/requirements.txt (line 9))
2016-02-18 08:17:48.317 | Collecting pyrsistent (from testtools>=1.4.0->-r /opt/stack/new/tempest/requirements.txt (line 9))
2016-02-18 08:17:48.317 | Collecting ecdsa>=0.11 (from paramiko>=1.16.0->-r /opt/stack/new/tempest/requirements.txt (line 10))
2016-02-18 08:17:48.317 |   Using cached ecdsa-0.13-py2.py3-none-any.whl
2016-02-18 08:17:48.317 | Collecting pycrypto!=2.4,>=2.1 (from paramiko>=1.16.0->-r /opt/stack/new/tempest/requirements.txt (line 10))
2016-02-18 08:17:48.317 | Collecting cryptography>=0.7 (from pyOpenSSL>=0.14->-r /opt/stack/new/tempest/requirements.txt (line 13))
2016-02-18 08:17:48.317 |   Using cached cryptography-1.2.2.tar.gz
2016-02-18 08:17:48.317 | Collecting enum34 (from oslo.concurrency>=2.3.0->-r /opt/stack/new/tempest/requirements.txt (line 14))
2016-02-18 08:17:48.317 | Collecting fasteners>=0.7 (from oslo.concurrency>=2.3.0->-r /opt/stack/new/tempest/requirements.txt (line 14))
2016-02-18 08:17:48.317 |   Using cached fasteners-0.14.1-py2.py3-none-any.whl
2016-02-18 08:17:48.317 | Collecting Babel>=1.3 (from oslo.concurrency>=2.3.0->-r /opt/stack/new/tempest/requirements.txt (line 14))
2016-02-18 08:17:48.317 |   Using cached Babel-2.2.0-py2.py3-none-any.whl
2016-02-18 08:17:48.317 | Collecting retrying!=1.3.0,>=1.2.3 (from oslo.concurrency>=2.3.0->-r /opt/stack/new/tempest/requirements.txt (line 14))
2016-02-18 08:17:48.317 | Collecting debtcollector>=1.2.0 (from oslo.config>=3.4.0->-r /opt/stack/new/tempest/requirements.txt (line 15))
2016-02-18 08:17:48.317 |   Using cached debtcollector-1.3.0-py2.py3-none-any.whl
2016-02-18 08:17:48.317 | Collecting oslo.context>=0.2.0 (from oslo.log>=1.14.0->-r /opt/stack/new/tempest/requirements.txt (line 17))
2016-02-18 08:17:48.317 |   Using cached oslo.context-2.0.0-py2.py3-none-any.whl
2016-02-18 08:17:48.317 | Collecting python-dateutil>=2.4.2 (from oslo.log>=1.14.0->-r /opt/stack/new/tempest/requirements.txt (line 17))
2016-02-18 08:17:48.317 |   Using cached python_dateutil-2.4.2-py2.py3-none-any.whl
2016-02-18 08:17:48.317 | Collecting pyinotify>=0.9.6 (from oslo.log>=1.14.0->-r /opt/stack/new/tempest/requirements.txt (line 17))
2016-02-18 08:17:48.317 | Collecting msgpack-python>=0.4.0 (from oslo.serialization>=1.10.0->-r /opt/stack/new/tempest/requirements.txt (line 18))
2016-02-18 08:17:48.317 | Collecting pytz>=2013.6 (from oslo.serialization>=1.10.0->-r /opt/stack/new/tempest/requirements.txt (line 18))
2016-02-18 08:17:48.317 |   Using cached pytz-2015.7-py2.py3-none-any.whl
2016-02-18 08:17:48.317 | Collecting funcsigs>=0.4 (from oslo.utils>=3.4.0->-r /opt/stack/new/tempest/requirements.txt (line 19))
2016-02-18 08:17:48.317 |   Using cached funcsigs-0.4-py2.py3-none-any.whl
2016-02-18 08:17:48.317 | Collecting monotonic>=0.6 (from oslo.utils>=3.4.0->-r /opt/stack/new/tempest/requirements.txt (line 19))
2016-02-18 08:17:48.317 | Collecting netifaces>=0.10.4 (from oslo.utils>=3.4.0->-r /opt/stack/new/tempest/requirements.txt (line 19))
2016-02-18 08:17:48.317 | Collecting os-testr>=0.4.1 (from tempest-lib>=0.14.0->-r /opt/stack/new/tempest/requirements.txt (line 24))
2016-02-18 08:17:48.318 |   Using cached os_testr-0.6.0-py2-none-any.whl
2016-02-18 08:17:48.318 | Collecting mccabe==0.2.1 (from hacking<0.11,>=0.10.0->-r /opt/stack/new/tempest/test-requirements.txt (line 4))
2016-02-18 08:17:48.318 | Collecting pep8==1.5.7 (from hacking<0.11,>=0.10.0->-r /opt/stack/new/tempest/test-requirements.txt (line 4))
2016-02-18 08:17:48.318 |   Using cached pep8-1.5.7-py2.py3-none-any.whl
2016-02-18 08:17:48.318 | Collecting flake8==2.2.4 (from hacking<0.11,>=0.10.0->-r /opt/stack/new/tempest/test-requirements.txt (line 4))
2016-02-18 08:17:48.318 | Collecting pyflakes==0.8.1 (from hacking<0.11,>=0.10.0->-r /opt/stack/new/tempest/test-requirements.txt (line 4))
2016-02-18 08:17:48.318 |   Using cached pyflakes-0.8.1-py2.py3-none-any.whl
2016-02-18 08:17:48.318 | Collecting Pygments>=1.2 (from sphinx!=1.2.0,!=1.3b1,<1.3,>=1.1.2->-r /opt/stack/new/tempest/test-requirements.txt (line 6))
2016-02-18 08:17:48.318 |   Using cached Pygments-2.1.1-py2.py3-none-any.whl
2016-02-18 08:17:48.318 | Collecting Jinja2>=2.3 (from sphinx!=1.2.0,!=1.3b1,<1.3,>=1.1.2->-r /opt/stack/new/tempest/test-requirements.txt (line 6))
2016-02-18 08:17:48.318 |   Using cached Jinja2-2.8-py2.py3-none-any.whl
2016-02-18 08:17:48.318 | Collecting docutils>=0.7 (from sphinx!=1.2.0,!=1.3b1,<1.3,>=1.1.2->-r /opt/stack/new/tempest/test-requirements.txt (line 6))
2016-02-18 08:17:48.318 | Collecting requests!=2.9.0,>=2.8.1 (from oslosphinx!=3.4.0,>=2.5.0->-r /opt/stack/new/tempest/test-requirements.txt (line 8))
2016-02-18 08:17:48.318 |   Using cached requests-2.9.1-py2.py3-none-any.whl
2016-02-18 08:17:48.318 | Collecting mox3>=0.7.0 (from oslotest>=1.10.0->-r /opt/stack/new/tempest/test-requirements.txt (line 12))
2016-02-18 08:17:48.318 |   Downloading mox3-0.14.0-py2.py3-none-any.whl (40kB)
2016-02-18 08:17:48.318 | Collecting os-client-config>=1.13.1 (from oslotest>=1.10.0->-r /opt/stack/new/tempest/test-requirements.txt (line 12))
2016-02-18 08:17:48.318 |   Downloading os_client_config-1.14.0-py2.py3-none-any.whl (53kB)
2016-02-18 08:17:48.318 | Collecting linecache2 (from traceback2->testtools>=1.4.0->-r /opt/stack/new/tempest/requirements.txt (line 9))
2016-02-18 08:17:48.318 |   Using cached linecache2-1.0.0-py2.py3-none-any.whl
2016-02-18 08:17:48.318 | Collecting argparse (from unittest2>=1.0.0->testtools>=1.4.0->-r /opt/stack/new/tempest/requirements.txt (line 9))
2016-02-18 08:17:48.318 |   Using cached argparse-1.4.0-py2.py3-none-any.whl
2016-02-18 08:17:48.318 | Collecting idna>=2.0 (from cryptography>=0.7->pyOpenSSL>=0.14->-r /opt/stack/new/tempest/requirements.txt (line 13))
2016-02-18 08:17:48.318 |   Using cached idna-2.0-py2.py3-none-any.whl
2016-02-18 08:17:48.318 | Collecting pyasn1>=0.1.8 (from cryptography>=0.7->pyOpenSSL>=0.14->-r /opt/stack/new/tempest/requirements.txt (line 13))
2016-02-18 08:17:48.318 |   Using cached pyasn1-0.1.9-py2.py3-none-any.whl
2016-02-18 08:17:48.318 | Requirement already up-to-date: setuptools>=1.0 in ./.tox/venv/lib/python2.7/site-packages (from cryptography>=0.7->pyOpenSSL>=0.14->-r /opt/stack/new/tempest/requirements.txt (line 13))
2016-02-18 08:17:48.319 | Collecting ipaddress (from cryptography>=0.7->pyOpenSSL>=0.14->-r /opt/stack/new/tempest/requirements.txt (line 13))
2016-02-18 08:17:48.319 |   Using cached ipaddress-1.0.16-py27-none-any.whl
2016-02-18 08:17:48.319 | Collecting cffi>=1.4.1 (from cryptography>=0.7->pyOpenSSL>=0.14->-r /opt/stack/new/tempest/requirements.txt (line 13))
2016-02-18 08:17:48.319 | Collecting wrapt>=1.7.0 (from debtcollector>=1.2.0->oslo.config>=3.4.0->-r /opt/stack/new/tempest/requirements.txt (line 15))
2016-02-18 08:17:48.319 | Collecting MarkupSafe (from Jinja2>=2.3->sphinx!=1.2.0,!=1.3b1,<1.3,>=1.1.2->-r /opt/stack/new/tempest/test-requirements.txt (line 6))
2016-02-18 08:17:48.319 | Collecting requestsexceptions>=1.1.1 (from os-client-config>=1.13.1->oslotest>=1.10.0->-r /opt/stack/new/tempest/test-requirements.txt (line 12))
2016-02-18 08:17:48.319 |   Downloading requestsexceptions-1.1.3-py2.py3-none-any.whl
2016-02-18 08:17:48.319 | Collecting keystoneauth1>=2.1.0 (from os-client-config>=1.13.1->oslotest>=1.10.0->-r /opt/stack/new/tempest/test-requirements.txt (line 12))
2016-02-18 08:17:48.319 |   Downloading keystoneauth1-2.3.0-py2.py3-none-any.whl (199kB)
2016-02-18 08:17:48.319 | Collecting appdirs>=1.3.0 (from os-client-config>=1.13.1->oslotest>=1.10.0->-r /opt/stack/new/tempest/test-requirements.txt (line 12))
2016-02-18 08:17:48.319 |   Downloading appdirs-1.4.0-py2.py3-none-any.whl
2016-02-18 08:17:48.319 | Collecting pycparser (from cffi>=1.4.1->cryptography>=0.7->pyOpenSSL>=0.14->-r /opt/stack/new/tempest/requirements.txt (line 13))
2016-02-18 08:17:48.319 | Collecting positional>=1.0.1 (from keystoneauth1>=2.1.0->os-client-config>=1.13.1->oslotest>=1.10.0->-r /opt/stack/new/tempest/test-requirements.txt (line 12))
2016-02-18 08:17:48.319 |   Downloading positional-1.0.1.tar.gz
2016-02-18 08:17:48.319 |     Complete output from command python setup.py egg_info:
2016-02-18 08:17:48.319 |     Couldn't find index page for 'pbr' (maybe misspelled?)
2016-02-18 08:17:48.319 |     No local packages or download links found for pbr>=1.8
2016-02-18 08:17:48.319 |     Traceback (most recent call last):
2016-02-18 08:17:48.319 |       File "<string>", line 1, in <module>
2016-02-18 08:17:48.319 |       File "/tmp/pip-build-FRGnVp/positional/setup.py", line 26, in <module>
2016-02-18 08:17:48.319 |         pbr=True)
2016-02-18 08:17:48.319 |       File "/usr/lib/python2.7/distutils/core.py", line 111, in setup
2016-02-18 08:17:48.319 |         _setup_distribution = dist = klass(attrs)
2016-02-18 08:17:48.319 |       File "/opt/stack/new/tempest/.tox/venv/local/lib/python2.7/site-packages/setuptools/dist.py", line 269, in __init__
2016-02-18 08:17:48.319 |         self.fetch_build_eggs(attrs['setup_requires'])
2016-02-18 08:17:48.319 |       File "/opt/stack/new/tempest/.tox/venv/local/lib/python2.7/site-packages/setuptools/dist.py", line 313, in fetch_build_eggs
2016-02-18 08:17:48.319 |         replace_conflicting=True,
2016-02-18 08:17:48.319 |       File "/opt/stack/new/tempest/.tox/venv/local/lib/python2.7/site-packages/pkg_resources/__init__.py", line 825, in resolve
2016-02-18 08:17:48.319 |         dist = best[req.key] = env.best_match(req, ws, installer)
2016-02-18 08:17:48.320 |       File "/opt/stack/new/tempest/.tox/venv/local/lib/python2.7/site-packages/pkg_resources/__init__.py", line 1070, in best_match
2016-02-18 08:17:48.320 |         return self.obtain(req, installer)
2016-02-18 08:17:48.320 |       File "/opt/stack/new/tempest/.tox/venv/local/lib/python2.7/site-packages/pkg_resources/__init__.py", line 1082, in obtain
2016-02-18 08:17:48.320 |         return installer(requirement)
2016-02-18 08:17:48.320 |       File "/opt/stack/new/tempest/.tox/venv/local/lib/python2.7/site-packages/setuptools/dist.py", line 380, in fetch_build_egg
2016-02-18 08:17:48.320 |         return cmd.easy_install(req)
2016-02-18 08:17:48.320 |       File "/opt/stack/new/tempest/.tox/venv/local/lib/python2.7/site-packages/setuptools/command/easy_install.py", line 634, in easy_install
2016-02-18 08:17:48.320 |         raise DistutilsError(msg)
2016-02-18 08:17:48.320 |     distutils.errors.DistutilsError: Could not find suitable distribution for Requirement.parse('pbr>=1.8')
2016-02-18 08:17:48.320 | 
2016-02-18 08:17:48.320 | ---------------------------------------- 2016-02-18 08:17:48.320 | Command "python setup.py egg_info" failed with error code 1 in /tmp/pip-build-FRGnVp/positional 2016-02-18 08:17:48.320 | 2016-02-18 08:17:48.320 | ERROR: could not install deps [-r/opt/stack/new/tempest/requirements.txt, -r/opt/stack/new/tempest/test-requirements.txt]; v = InvocationError('/opt/stack/new/tempest/.tox/venv/bin/pip install -U -r/opt/stack/new/tempest/requirements.txt -r/opt/stack/new/tempest/test-requirements.txt (see /opt/stack/new/tempest/.tox/venv/log/venv-1.log)', 1) 2016-02-18 08:17:48.320 | ___________________________________ summary ____________________________________ 2016-02-18 08:17:48.320 | ERROR: venv: could not install deps [-r/opt/stack/new/tempest/requirements.txt, -r/opt/stack/new/tempest/test-requirements.txt]; v = InvocationError('/opt/stack/new/tempest/.tox/venv/bin/pip install -U -r/opt/stack/new/tempest/requirements.txt -r/opt/stack/new/tempest/test-requirements.txt (see /opt/stack/new/tempest/.tox/venv/log/venv-1.log)', 1) 2016-02-18 08:17:48.333 | + /opt/stack/new/devstack/lib/tempest:configure_tempest:L1: exit_trap 2016-02-18 08:17:48.333 | + ./stack.sh:exit_trap:L474: local r=1

r=1